Last Comment Bug 685901 - Remove the nsTableOuterFrame::mInnerTableFrame and mCaptionFrame members in favor of accessing the child frame lists directly
: Remove the nsTableOuterFrame::mInnerTableFrame and mCaptionFrame members in f...
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Layout: Tables (show other bugs)
: unspecified
: All All
: -- enhancement (vote)
: mozilla9
Assigned To: Mats Palmgren (vacation)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-09 09:39 PDT by Mats Palmgren (vacation)
Modified: 2011-09-13 06:46 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
fix (30.24 KB, patch)
2011-09-09 10:36 PDT, Mats Palmgren (vacation)
roc: review+
Details | Diff | Splinter Review

Description Mats Palmgren (vacation) 2011-09-09 09:39:50 PDT
Follow-up from bug 685154 comment 9 - 12

Remove the nsTableOuterFrame::mInnerTableFrame and mCaptionFrame members in favor of accessing the child frame lists directly.
Comment 1 David Baron :dbaron: ⌚️UTC+2 (mostly busy through August 4; review requests must explain patch) 2011-09-09 09:55:46 PDT
At some point we're going to need to support multiple caption frames.  Hopefully this will help...
Comment 2 Mats Palmgren (vacation) 2011-09-09 10:36:09 PDT
Created attachment 559507 [details] [diff] [review]
fix

The accessor InnerTableFrame() is mostly to avoid having to cast it to
nsTableFrame* a lot. (without Get-prefix since it can't be null)

Replace mCaptionFrame with mCaptionFrames.FirstChild(), except
where it was used for (non-)null testing for which I used
mCaptionFrames.NotEmpty() or IsEmpty() instead.
Comment 3 Mats Palmgren (vacation) 2011-09-09 10:37:14 PDT
(the patch is to be applied on top of the patches in bug 685154)
Comment 4 Mats Palmgren (vacation) 2011-09-12 16:33:08 PDT
http://hg.mozilla.org/integration/mozilla-inbound/rev/d49caeac648d
Comment 5 Matt Brubeck (:mbrubeck) 2011-09-13 06:46:58 PDT
https://hg.mozilla.org/mozilla-central/rev/d49caeac648d

Note You need to log in before you can comment on or make changes to this bug.